' This program is provided as Freeware for personal, educational
' and non-commercial use under the modified BSD license. 
'
' Copyright (c) 2008, Oak Micros
' All rights reserved.
'
' Redistribution and use in source and binary forms, with or without 
' modification, are permitted provided that the following conditions 
' are met:
'
' * Redistributions of source code must retain the above copyright notice,
'   this list of conditions and the following disclaimer.
' * Redistributions in binary form must reproduce the above copyright notice,
'   this list of conditions and the following disclaimer in the documentation
'   and/or other materials provided with the distribution.
' * Neither the name of Oak Micros nor the names of its contributors 
'   may be used to endorse or promote products derived from this software 
'   without specific prior written permission.
'
' THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
' IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
' ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
' LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR C
' ONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
' SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
' INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
' CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
' ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
' POSSIBILITY OF SUCH DAMAGE.
'

Module TaskExample
' 
' Simple test program for the buzzer task. The buzzer is sounded every 3
' seconds unless it is still on from last time.
' Here is some sample output:
' 0.1 Sleeping
' 2.1 Sleeping
' 4.1 Wakeup
' 4.1 Buzz
' 8.1 Already awake
' 9.1 Sleeping
' 11.1 Sleeping
' 12.1 Wakeup
' 12.1 Buzz
' 16.1 Already awake
' 17.1 Sleeping
' 19.1 Sleeping
' 20.1 Wakeup
' 20.1 Buzz
'

Option TaskStackMargin 5

Sub Main()
	Call InitBuzzer()	
	Do 
		' Do some work here but just sleep in this example
		Call Sleep(4.0)
		
		' Time to sound the buzzer
		Call SoundBuzzerNoWait()
	Loop
End Sub
